#
# Include file for PGI Fortran compiler on Linux
# -----------------------------------------------------------------
#
# ARPACK_LIBDIR  ARPACK libary directory
# FC             Name of the fortran compiler to use
# FFLAGS         Flags to the fortran compiler
# CPP            Name of the C-preprocessor
# CPPFLAGS       Flags to the C-preprocessor
# CLEAN          Name of cleaning executable after C-preprocessing
# NETCDF_INCDIR  NetCDF include directory
# NETCDF_LIBDIR  NetCDF libary directory
# LD             Program to load the objects into an executable
# LDFLAGS        Flags to the loader
# RANLIB         Name of ranlib command
# MDEPFLAGS      Flags for sfmakedepend  (-s if you keep .f files)
#
# First the defaults
#
               FC := pgf90
           FFLAGS :=
              CPP := /usr/bin/cpp
         CPPFLAGS := -P -traditional
            CLEAN := Bin/cpp_clean
               LD := $(FC)
          LDFLAGS := 
               AR := ar
          ARFLAGS := r
               RM := rm -f
           RANLIB := ranlib
	     PERL := perl

        MDEPFLAGS := --cpp --fext=f90 --file=-

#
# Library locations, can be overridden by environment variables.
#

    NETCDF_INCDIR ?= /opt/pgisoft/netcdf/include
    NETCDF_LIBDIR ?= /opt/pgisoft/netcdf/lib

         CPPFLAGS += -I$(NETCDF_INCDIR)
             LIBS := -L$(NETCDF_LIBDIR) -lnetcdf

ifdef ARPACK
 ifdef MPI
#  PARPACK_LIBDIR ?= /opt/pgisoft/PARPACK
   PARPACK_LIBDIR ?= /p/arango/ocean/toms/adjoint/f90/Lib
  ifdef DEBUG
             LIBS += -L$(PARPACK_LIBDIR) -lparpack_dbg_moby
  else
             LIBS += -L$(PARPACK_LIBDIR) -lparpack
#            LIBS += -L$(PARPACK_LIBDIR) -lparpack_new
  endif
 endif
#   ARPACK_LIBDIR ?= /opt/pgisoft/PARPACK
    ARPACK_LIBDIR ?= /p/arango/ocean/toms/adjoint/f90/Lib
 ifdef DEBUG
             LIBS += -L$(ARPACK_LIBDIR) -larpack_dbg_moby
 else
             LIBS += -L$(ARPACK_LIBDIR) -larpack
#            LIBS += -L$(ARPACK_LIBDIR) -larpack_new
 endif
endif

ifdef MPI
         CPPFLAGS += -DMPI
 ifdef MPIF90
               FC := /opt/pgisoft/mpich/bin/mpif90
               LD := $(FC)
 else
             LIBS += -lfmpi-pgi -lmpi-pgi 
 endif
endif

ifdef OpenMP
         CPPFLAGS += -D_OPENMP
endif

ifdef DEBUG
#          FFLAGS += -g -C
           FFLAGS += -g
else
           FFLAGS += -u -Bstatic -fastsse -Mipa=fast
endif

       clean_list += ifc* work.pc*
